with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGExternalResourcesRequired_Interface is

   procedure Initialize (This : in out ISVGExternalResourcesRequired_Type) is
   begin
      Set_IID (This, IID_ISVGExternalResourcesRequired);
   end Initialize;

   function Pointer (This : ISVGExternalResourcesRequired_Type)
     return Pointer_To_ISVGExternalResourcesRequired
   is
   begin
      return To_Pointer_To_ISVGExternalResourcesRequired (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGExternalResourcesRequired_Type;
                     Pointer : in     Pointer_To_ISVGExternalResourcesRequired)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_externalResourcesRequired
     (This : ISVGExternalResourcesRequired_Type)
     return Pointer_To_ISVGAnimatedBoolean
   is
       RetVal : aliased Pointer_To_ISVGAnimatedBoolean;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_externalResourcesRequired
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_externalResourcesRequired;

end MSHTML.ISVGExternalResourcesRequired_Interface;

